﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class userandsite : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_Users_AppUserUserID",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_WebSitess_AppUserUserID",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "AppUserUserID",
                table: "WebSitess");

            migrationBuilder.AddColumn<string>(
                name: "UserID",
                table: "WebSitess",
                type: "nvarchar(450)",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_UserID",
                table: "WebSitess",
                column: "UserID");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_Users_UserID",
                table: "WebSitess",
                column: "UserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_Users_UserID",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_WebSitess_UserID",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "UserID",
                table: "WebSitess");

            migrationBuilder.AddColumn<string>(
                name: "AppUserUserID",
                table: "WebSitess",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_AppUserUserID",
                table: "WebSitess",
                column: "AppUserUserID");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_Users_AppUserUserID",
                table: "WebSitess",
                column: "AppUserUserID",
                principalTable: "Users",
                principalColumn: "UserID",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
