﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class websiteNoDomain : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_WebPortals_Domain",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_WebSitess_Domain",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "Domain",
                table: "WebSitess");

            migrationBuilder.AddColumn<string>(
                name: "PortalDomain",
                table: "WebSitess",
                type: "nvarchar(450)",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_PortalDomain",
                table: "WebSitess",
                column: "PortalDomain");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess",
                column: "PortalDomain",
                principalTable: "WebPortals",
                principalColumn: "Domain",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_WebSitess_PortalDomain",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "PortalDomain",
                table: "WebSitess");

            migrationBuilder.AddColumn<string>(
                name: "Domain",
                table: "WebSitess",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_WebSitess_Domain",
                table: "WebSitess",
                column: "Domain");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_WebPortals_Domain",
                table: "WebSitess",
                column: "Domain",
                principalTable: "WebPortals",
                principalColumn: "Domain",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
