﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class websiteKeyChanged : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesConnectors_WebSitess_WebSiteID",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WebSitess",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_UsersToSitesConnectors_WebSiteID",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropColumn(
                name: "WebSiteID",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "UrlAdrress",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "WebSiteID",
                table: "UsersToSitesConnectors");

            migrationBuilder.AddColumn<string>(
                name: "WebSiteURL",
                table: "WebSitess",
                type: "nvarchar(450)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "WebSiteURL",
                table: "UsersToSitesConnectors",
                type: "nvarchar(450)",
                nullable: true);

            migrationBuilder.AddPrimaryKey(
                name: "PK_WebSitess",
                table: "WebSitess",
                column: "WebSiteURL");

            migrationBuilder.CreateIndex(
                name: "IX_UsersToSitesConnectors_WebSiteURL",
                table: "UsersToSitesConnectors",
                column: "WebSiteURL");

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesConnectors_WebSitess_WebSiteURL",
                table: "UsersToSitesConnectors",
                column: "WebSiteURL",
                principalTable: "WebSitess",
                principalColumn: "WebSiteURL",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_UsersToSitesConnectors_WebSitess_WebSiteURL",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WebSitess",
                table: "WebSitess");

            migrationBuilder.DropIndex(
                name: "IX_UsersToSitesConnectors_WebSiteURL",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropColumn(
                name: "WebSiteURL",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "WebSiteURL",
                table: "UsersToSitesConnectors");

            migrationBuilder.AddColumn<int>(
                name: "WebSiteID",
                table: "WebSitess",
                nullable: false,
                defaultValue: 0)
                .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            migrationBuilder.AddColumn<string>(
                name: "UrlAdrress",
                table: "WebSitess",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "WebSiteID",
                table: "UsersToSitesConnectors",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddPrimaryKey(
                name: "PK_WebSitess",
                table: "WebSitess",
                column: "WebSiteID");

            migrationBuilder.CreateIndex(
                name: "IX_UsersToSitesConnectors_WebSiteID",
                table: "UsersToSitesConnectors",
                column: "WebSiteID");

            migrationBuilder.AddForeignKey(
                name: "FK_UsersToSitesConnectors_WebSitess_WebSiteID",
                table: "UsersToSitesConnectors",
                column: "WebSiteID",
                principalTable: "WebSitess",
                principalColumn: "WebSiteID",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
