﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class namesEdited : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_UsersToSitesConnectors",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropColumn(
                name: "AppUserToSiteConnectorID",
                table: "UsersToSitesConnectors");

            migrationBuilder.RenameColumn(
                name: "WebSiteURL",
                table: "WebSitess",
                newName: "WebsiteURL");

            migrationBuilder.AddColumn<int>(
                name: "SavedWebsiteID",
                table: "UsersToSitesConnectors",
                type: "int",
                nullable: false,
                defaultValue: 0)
                .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            migrationBuilder.AddPrimaryKey(
                name: "PK_UsersToSitesConnectors",
                table: "UsersToSitesConnectors",
                column: "SavedWebsiteID");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_UsersToSitesConnectors",
                table: "UsersToSitesConnectors");

            migrationBuilder.DropColumn(
                name: "SavedWebsiteID",
                table: "UsersToSitesConnectors");

            migrationBuilder.RenameColumn(
                name: "WebsiteURL",
                table: "WebSitess",
                newName: "WebSiteURL");

            migrationBuilder.AddColumn<int>(
                name: "AppUserToSiteConnectorID",
                table: "UsersToSitesConnectors",
                nullable: false,
                defaultValue: 0)
                .Annotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            migrationBuilder.AddPrimaryKey(
                name: "PK_UsersToSitesConnectors",
                table: "UsersToSitesConnectors",
                column: "AppUserToSiteConnectorID");
        }
    }
}
