﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MkwSharedLibrary.Models;

namespace MakeYourWeb.Models.DataModels
{
    public class SignInVM
    {
        public string Login { get; set; }
        public string Password { get; set; }
        public string Browser { get; set; }
    }

    public class ResetPasswordModel
    {
        public string OldPassword { get; set; }
        public string NewPassword { get; set; }
        public string NewPasswordConfirm { get; set; }
    }

    public class RegisterVM
    {
        public string Email { get; set; }
        public string Password { get; set; }
        public string Nick { get; set; }
        public string Description { get; set; }
    }

    public class TokenModel : ITokenModel
    {
        public DateTime Created { get; set; }
        public DateTime Expiration { get; set; }
        public string UserIdentificator { get; set; }
        public string ClientDomain { get; set; }
    }
}
