﻿using MkwSharedLibrary.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Models.DataModels
{
    public class UsersWebsitesStatsComponent
    {
        public string MostOpenedSite { get; set; }
        public string MostOpenedPortalName { get; set; }
        public int NumberOfSavedSites { get; set; }
        public int NumberOfSavedPortals { get; set; }
        public string LastSavedSiteAt { get; set; }
        public string LastPostTitle { get; set; }
        public int NumberOfUsersPosts { get; set; }
        public int NumberOfUsersFolowers { get; set; }
        public ChannelInformationDM TopChannel { get; set; }
    }

    public class PortalGroupComponentDM : WebPortalDM
    {
        public IEnumerable<WebSiteDM> WebSites { get; set; }
    }

    public class WebCardComponentDM : WebSiteDM
    {
        public string UserName { get; set; }
        public bool IsSaved { get; set; }
        public string ChannelUniqueId { get; set; }
    }

    public class UsersSubscriptionsComponentDM
    {
        public ChannelInformationDM LastAddedChannel { get; set; }
        public IEnumerable<SubscriptionCardDM> SubscribedChannelsCards { get; set; }
    }

    public class SubscriptionCardDM : ChannelInformationDM
    {
        public bool IsSubscribed { get; set; }
    }

}
