﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;


namespace MakeYourWeb.Models.DataModels
{
    public class UserInformationDM
    {
        public string Nick { get; set; }
        public string Description { get; set; }
        public string Icon { get; set; }
        public string Email { get; set; }
        public string Created { get; set; }
        public string ChannelName { get; set; }
    }


    public class WebPortalDM
    {
        public string Name { get; set; }
        public string Domain { get; set; }
        public string Icon { get; set; }
    }


    public class ChannelInformationDM
    {
        public string OwnerNick { get; set; }
        public int NumberOfPosts { get; set; }
        public string Icon { get; set; }
        public string OwnerDescription { get; set; }
        public int ChannelIdentificator { get; set; }
        public int NumberOfFollowers { get; set; }
        public bool IsBlocked { get; set; }
        public string UniqueIdentificator { get; set; }
        public bool IsSubscribed { get; set; } = false;
        public bool IsUsersChannel { get; set; }
    }

    public class SubscribeDM
    {
        public int ChannelIndetificator { get; set; }
        public string UserIdentificator { get; set; }
    }
}
