﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Models
{
    public class WebsiteClick
    {
        [Key]
        public int WebSiteClickID { get; set; }

        public string UserID { get; set; }
        public virtual AppUser User { get; set; }

        public string WebSiteURL { get; set; }
        public virtual Website ClickedSite { get; set; }

        public DateTime Created { get; set; }
    }
}
