﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MakeYourWeb.Data.Abstract;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace MakeYourWeb.Controllers
{
    [RequireHttps]
    [Produces("application/json")]
    [Route("api/Maintence")]
    public class MaintenceController : Controller
    {
        private readonly IDatabaseMaintence MaintenceRepository;

        public MaintenceController(IDatabaseMaintence repo)
        {
            this.MaintenceRepository = repo;
        }

        // GET: api/Maintence
        [HttpGet]
        public IActionResult Get()
        {
            try
            {
                this.MaintenceRepository.RemoveZombieData();
                return Ok();
            }
            catch
            {
                return new StatusCodeResult(StatusCodes.Status500InternalServerError);
            }
        }

        
    }
}
