﻿using MakeYourWeb.Models.DataModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Data.Abstract
{
    public interface IPageContentRepository
    {
        Task<PortalGroupsPageDM> GetUsersPortalGroupsPageDataAsync(string UsersIdentificator);
        Task<WelcomePageDM> GetWelcomePageDataAsync(string UserIdentificator);
        Task<SubscriptionsPageDM> GetSubscriptionsPageDataAsync(string UserIdentificator, bool SubscribedChannels);
        ChannelDetailPageDM GetChannelDetailPageData(string ChannelsIdentificator);
        ChannelDetailPageDM GetChannelDetailPageData(string ChannelsIdentificator, string UserIdentificator);
        UserAccountPageDM GetUserAccountPageData(string UsersIdentificator);
        HomePageDM GetHomePageData();
    }
}
