﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;
using System.Collections.Generic;

namespace MakeYourWeb.Migrations
{
    public partial class websiteParagraph : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WebPortals",
                table: "WebPortals");

            migrationBuilder.DropColumn(
                name: "Domain",
                table: "WebPortals");

            migrationBuilder.AddColumn<string>(
                name: "MainParagraph",
                table: "WebSitess",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "PortalDomain",
                table: "WebPortals",
                type: "nvarchar(450)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddPrimaryKey(
                name: "PK_WebPortals",
                table: "WebPortals",
                column: "PortalDomain");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess",
                column: "PortalDomain",
                principalTable: "WebPortals",
                principalColumn: "PortalDomain",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WebPortals",
                table: "WebPortals");

            migrationBuilder.DropColumn(
                name: "MainParagraph",
                table: "WebSitess");

            migrationBuilder.DropColumn(
                name: "PortalDomain",
                table: "WebPortals");

            migrationBuilder.AddColumn<string>(
                name: "Domain",
                table: "WebPortals",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddPrimaryKey(
                name: "PK_WebPortals",
                table: "WebPortals",
                column: "Domain");

            migrationBuilder.AddForeignKey(
                name: "FK_WebSitess_WebPortals_PortalDomain",
                table: "WebSitess",
                column: "PortalDomain",
                principalTable: "WebPortals",
                principalColumn: "Domain",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
