﻿using MkwSharedLibrary.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Models.DataModels
{
    public class WelcomePageDM
    {
        public IEnumerable<WebCardComponentDM> WebCardsResource { get; set; } = new List<WebCardComponentDM>();
        public IEnumerable<WebSiteDM> LastOpenedSite { get; set; } = new List<WebSiteDM>();
        public IEnumerable<WebSiteDM> LastSavedSites { get; set; } = new List<WebSiteDM>();
        public UsersWebsitesStatsComponent UsersContentStats { get; set; }
        public UsersSubscriptionsComponentDM UsersSubscriptions { get; set; }
        public UserInformationDM UserInfo { get; set; }
    }

    public class PortalGroupsPageDM
    {
        public IEnumerable<PortalGroupComponentDM> PortalGroups { get; set; } = new List<PortalGroupComponentDM>();
    }

    public class SubscriptionsPageDM
    {
        public IEnumerable<SubscriptionCardDM> SubscribtionContent { get; set; } = new List<SubscriptionCardDM>();
        public IEnumerable<SubscriptionCardDM> Recommended { get; set; } = new List<SubscriptionCardDM>();
    }

    public class ChannelDetailPageDM
    {
        public ChannelInformationDM ChannelInformation { get; set; }
        public IEnumerable<WebCardComponentDM> ChannelPosts { get; set; } = new List<WebCardComponentDM>();
    }

    public class UserAccountPageDM
    {
        public UserInformationDM UserInfo { get; set; }
    }

    public class HomePageDM
    {
        public IEnumerable<WebCardComponentDM> LastPosts { get; set; }
    }
}
