﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace MakeYourWeb.Models
{
    public class Post
    {
        [Key]
        public int PostID { get; set; }

        public int ChannelID { get; set; }
        public virtual Channel ParentChannel { get; set; }

        public DateTime Created { get; set; }
        public bool IsPublic { get; set; }

        public string WebSiteURL { get; set; }
        public virtual Website ConnectedWebsite { get; set; }
    }
}
