﻿using System;
using System.ComponentModel.DataAnnotations;

namespace MakeYourWeb.Models
{
    public  class Subscription
    {
        [Key]
        public int SubscriptionID { get; set; }

        public string UserID { get; set; }
        public virtual AppUser Follower { get; set; }

        public int ChannelID { get; set; }
        public virtual Channel SubscriptionChannel { get; set; }

        public DateTime SubscribedDate { get; set; } = DateTime.Now;
    }
}